net.sourceforge.pmd.lang.xml

## Class XmlParserOptions

- java.lang.Object
- - net.sourceforge.pmd.lang.ParserOptions
  - - net.sourceforge.pmd.lang.xml.XmlParserOptions

-     public class XmlParserOptions
      extends ParserOptions

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BooleanProperty` | `COALESCING_DESCRIPTOR`
    `static BooleanProperty` | `EXPAND_ENTITY_REFERENCES_DESCRIPTOR`
    `static BooleanProperty` | `IGNORING_COMMENTS_DESCRIPTOR`
    `static BooleanProperty` | `IGNORING_ELEMENT_CONTENT_WHITESPACE_DESCRIPTOR`
    `static BooleanProperty` | `LOOKUP_DESCRIPTOR_DTD`
    `static BooleanProperty` | `NAMESPACE_AWARE_DESCRIPTOR`
    `static EntityResolver` | `SILENT_ENTITY_RESOLVER`
    `static BooleanProperty` | `VALIDATING_DESCRIPTOR`
    `static BooleanProperty` | `XINCLUDE_AWARE_DESCRIPTOR`

    - ### Fields inherited from class net.sourceforge.pmd.lang.ParserOptions

      `suppressMarker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlParserOptions()`
    `XmlParserOptions(Rule rule)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `EntityResolver` | `getEntityResolver()`
    `int` | `hashCode()`
    `boolean` | `isCoalescing()`
    `boolean` | `isExpandEntityReferences()`
    `boolean` | `isIgnoringComments()`
    `boolean` | `isIgnoringElementContentWhitespace()`
    `boolean` | `isLookupDescriptorDoc()`
    `boolean` | `isNamespaceAware()`
    `boolean` | `isValidating()`
    `boolean` | `isXincludeAware()`
    `void` | `setCoalescing(boolean coalescing)`
    `void` | `setExpandEntityReferences(boolean expandEntityReferences)`
    `void` | `setIgnoringComments(boolean ignoringComments)`
    `void` | `setIgnoringElementContentWhitespace(boolean ignoringElementContentWhitespace)`
    `void` | `setLookupDescriptorDoc(boolean lookupDescriptorDoc)`
    `void` | `setNamespaceAware(boolean namespaceAware)`
    `void` | `setValidating(boolean validating)`
    `void` | `setXincludeAware(boolean xincludeAware)`

    - ### Methods inherited from class net.sourceforge.pmd.lang.ParserOptions

      `getSuppressMarker, setSuppressMarker`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COALESCING_DESCRIPTOR

          public static final BooleanProperty COALESCING_DESCRIPTOR

    - #### EXPAND_ENTITY_REFERENCES_DESCRIPTOR

          public static final BooleanProperty EXPAND_ENTITY_REFERENCES_DESCRIPTOR

    - #### IGNORING_COMMENTS_DESCRIPTOR

          public static final BooleanProperty IGNORING_COMMENTS_DESCRIPTOR

    - #### IGNORING_ELEMENT_CONTENT_WHITESPACE_DESCRIPTOR

          public static final BooleanProperty IGNORING_ELEMENT_CONTENT_WHITESPACE_DESCRIPTOR

    - #### NAMESPACE_AWARE_DESCRIPTOR

          public static final BooleanProperty NAMESPACE_AWARE_DESCRIPTOR

    - #### VALIDATING_DESCRIPTOR

          public static final BooleanProperty VALIDATING_DESCRIPTOR

    - #### XINCLUDE_AWARE_DESCRIPTOR

          public static final BooleanProperty XINCLUDE_AWARE_DESCRIPTOR

    - #### LOOKUP_DESCRIPTOR_DTD

          public static final BooleanProperty LOOKUP_DESCRIPTOR_DTD

    - #### SILENT_ENTITY_RESOLVER

          public static final EntityResolver SILENT_ENTITY_RESOLVER

  - ### Constructor Detail

    - #### XmlParserOptions

          public XmlParserOptions()

    - #### XmlParserOptions

          public XmlParserOptions(Rule rule)

  - ### Method Detail

    - #### getEntityResolver

          public EntityResolver getEntityResolver()

      Returns:
        the configured entity resolver. If `lookupDescriptorDoc` is false it would normally force the XML parser to use its own resolver

    - #### isLookupDescriptorDoc

          public boolean isLookupDescriptorDoc()

    - #### setLookupDescriptorDoc

          public void setLookupDescriptorDoc(boolean lookupDescriptorDoc)

    - #### isCoalescing

          public boolean isCoalescing()

    - #### setCoalescing

          public void setCoalescing(boolean coalescing)

    - #### isExpandEntityReferences

          public boolean isExpandEntityReferences()

    - #### setExpandEntityReferences

          public void setExpandEntityReferences(boolean expandEntityReferences)

    - #### isIgnoringComments

          public boolean isIgnoringComments()

    - #### setIgnoringComments

          public void setIgnoringComments(boolean ignoringComments)

    - #### isIgnoringElementContentWhitespace

          public boolean isIgnoringElementContentWhitespace()

    - #### setIgnoringElementContentWhitespace

          public void setIgnoringElementContentWhitespace(boolean ignoringElementContentWhitespace)

    - #### isNamespaceAware

          public boolean isNamespaceAware()

    - #### setNamespaceAware

          public void setNamespaceAware(boolean namespaceAware)

    - #### isValidating

          public boolean isValidating()

    - #### setValidating

          public void setValidating(boolean validating)

    - #### isXincludeAware

          public boolean isXincludeAware()

    - #### setXincludeAware

          public void setXincludeAware(boolean xincludeAware)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ParserOptions`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `ParserOptions`

Copyright © 2002-2013 InfoEther. All Rights Reserved.